Subject: Offline Message from Rick Watenpool: My wife and I purchased a Swagboard T580
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sun, 26 Jun 2022 19:19:58 -0000

From: Rick Watenpool <[email-masked]>
Phone: 
Location: Gibsonia, United States
URL: https://swagtron.com/product-category/hoverboard/
Department: SwagTron

My wife and I purchased a Swagboard T580 Twist for my grandsons 9th birthday and received it on June 8th. We gave it to him on his birthday June 20th and he rode it for about 15 to 20 minutes and the right wheel motor started smoking. I told him to stop and I picked up the unit and found the wheel doesn't spin easily like the other one.  He was highly disappointed and we need to get this replaced for him.
I will be waiting for you reply. 
Thank you in advance,

Rick Watenpool 

----
Zopim
https://www.zopim.com